/*!
 ******************************************************************************
 *
 * \file
 *
 * \brief   Header file containing RAJA workgroup Dispatcher.
 *
 ******************************************************************************
 */

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
// Copyright (c) 2016-23, Lawrence Livermore National Security, LLC
// and RAJA project contributors. See the RAJA/LICENSE file for details.
//
// SPDX-License-Identifier: (BSD-3-Clause)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

#ifndef RAJA_tbb_WorkGroup_Dispatcher_HPP
#define RAJA_tbb_WorkGroup_Dispatcher_HPP

#include "RAJA/config.hpp"

#include "RAJA/policy/tbb/policy.hpp"

#include "RAJA/policy/sequential/WorkGroup/Dispatcher.hpp"


namespace RAJA
{

namespace detail
{

/*!
* Populate and return a Dispatcher object
*/
template < typename T, typename Dispatcher_T >
inline const Dispatcher_T* get_Dispatcher(tbb_work const&)
{
  return get_Dispatcher<T, Dispatcher_T>(seq_work{});
}

}  // namespace detail

}  // namespace RAJA

#endif  // closing endif for header file include guard
